/* 
  AK ESP8266 station mode
*/

#include <ESP8266WiFi.h>

// تنظیمات شبکه ی خود را در این قسمت وارد کنید.
const char* ssid =      "ssid";      //نام شبکه
const char* password =  "password";  //رمز شبکه

void setup()
{
  delay(1000);
  Serial.begin(115200);

  // در حال برقراری ارتباط با مودم یا روتر
  WiFi.begin(ssid, password);

  // نمایش وضعیت ارتباط
  Serial.println();
  Serial.print("Connecting");
  while (WiFi.status() != WL_CONNECTED)
  {
    delay(500);
    Serial.print(".");
  }
  // نمایش ارتباط موفقیت آمیز
  Serial.println("success!");

  // نمایش ایپی برد
  Serial.print("IP Address is: ");
  Serial.println(WiFi.localIP());
}

void loop() {
}
